Test Plan burn down chart data
GET
/reports/testPlanBurnDownDataFetches test plan burn down chart data
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReportsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReportsApi(config);
const result = await api.getTestPlanBurnDownData({ "project": 123, "testPlan": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/reports/testPlanBurnDownData?token=$TESTCOLLAB_TOKEN&project=123&testPlan=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | integer | Yes | Project Id |
testPlan |
query | integer | Yes | Test Plan Id |
Response
Section titled “Response”200 — Test plan burn down chart data
| Field | Type | Required | Description |
|---|---|---|---|
status |
boolean | Yes | — |
data |
Array of string | No | — |
message |
string | No | — |
queue |
Background job | No | — |
queue.id |
number | Yes | — |
queue.status |
number | Yes | 0=queued; 1=in-progress; 2=done; 3=failed |
queue.percent_done |
number | Yes | When status =1, this will indicate progress % |
queue.created_at |
string | Yes | — |
queue.updated_at |
string | Yes | — |
queue.results |
string | No | JSON object |
{ "status": true, "data": [], "message": "example", "queue": { "id": 123, "status": 123, "percent_done": 123, "created_at": "example", "updated_at": "example", "results": "example" }}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |